# Uses of Interface
org.opensaml.saml.saml2.core.ProxyRestriction

Packages that use ProxyRestriction
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of ProxyRestriction in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return ProxyRestriction
Modifier and Type
Method
Description
`ProxyRestriction`
Conditions.`getProxyRestriction()`
Gets the ProxyRestriction condition for the assertion.

## Uses of ProxyRestriction in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement ProxyRestriction
Modifier and Type
Class
Description
`class`
`ProxyRestrictionImpl`
Concrete implementation of `ProxyRestriction`.
Methods in org.opensaml.saml.saml2.core.impl that return ProxyRestriction
Modifier and Type
Method
Description
`ProxyRestriction`
ProxyRestrictionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ProxyRestriction`
ProxyRestrictionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ProxyRestriction`
ConditionsImpl.`getProxyRestriction()`
Gets the ProxyRestriction condition for the assertion.

## Uses of ProxyRestriction in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl that return ProxyRestriction
Modifier and Type
Method
Description
`private ProxyRestriction`
AddProxyRestrictionToAssertions.`getProxyRestriction(Conditions conditions)`
Get the `ProxyRestriction` to which audiences will be added.